
<div class="center_selection-wrapper">
  <!-- Header -->
  <mat-card class="center-selection__title-card">
    <mat-card-header>
      <p class="center__title-card-text">{{ 'centerSelection.title' | translate }}</p>
    </mat-card-header>
  </mat-card>
  <!-- search container -->
  <div class="container">
    <div class="centers-wrapper">
      <!-- search container -->
      <div class="center_selection-intial-recommendation-container" *ngIf="searchClick; else elseBlock">
        <div *ngIf="REGISTRATION_CENTRES" class="center_selection-center_recommendation-display">
         <span (click)="getRecommendedCenters()"><b>{{ 'centerSelection.display_recommended' | translate }}</b>&nbsp;&nbsp;
          <span class="center_selection-center-available-text">( {{ 'centerSelection.text_found' | translate }} {{ REGISTRATION_CENTRES.length }} {{ 'centerSelection.text_centers' | translate }} )
          </span>
          <mat-icon matTooltip="{{ 'helpText.recommended_centers' | translate}}" [inline]="true">help_outline</mat-icon>
        </span>
          <button mat-button class="center_selection-nearby-btn" (click)="getLocation()">
            {{ 'centerSelection.action_nearBy' | translate }} &nbsp;&nbsp;
            <mat-icon matTooltip="{{ 'helpText.nearBy' | translate}}" [inline]="true">help_outline</mat-icon>
          </button><br />
        </div>
        <span class="spacer"></span>
        <button matTooltip="{{ 'helpText.magnifying_glass' | translate}}" mat-icon-button class="search-btn" (click)="setSearchClick(false)">
          <img src="assets\search.png" />
        </button>
      </div>

      <ng-template #elseBlock>
        <div class="center_selection-form-container">
          <form class="search-form">
            <mat-card class="select-card">
              <mat-select name="select" class="select-input" [(ngModel)]="locationType" value="locationType"
                placeholder= "{{ 'centerSelection.text_select' | translate }}">
                <mat-option style="color:black;" *ngFor="let locationType of locationTypes" [value]="locationType">
                  {{ locationType.locationHierarchyName }}
                </mat-option>
              </mat-select>
            </mat-card>
            <mat-card class="search-card">
              <input *ngIf="locationType !== null" mat-input type="search" placeholder="{{ 'centerSelection.text_enter' | translate }} {{locationType.locationHierarchyName}}" name="search" class="search-input" [(ngModel)]="searchText" />
              <input *ngIf="locationType === null" mat-input type="search" placeholder="{{ 'centerSelection.text_search' | translate }}" name="search" class="search-input" [(ngModel)]="searchText" />
              <button
                matTooltip="{{ 'helpText.magnifying_glass' | translate}}"
                mat-icon-button type="submit" (click)="showResults()">
                <img src="assets\search_grey.png" />
              </button>
              <button mat-icon-button class="search-cancel-btn" (click)="setSearchClick(true)">
                <img src="assets\close.png" />
              </button>
            </mat-card>
          </form>
        </div>
        <span class="search-text" *ngIf="searchTextFlag">{{
          displayMessage
          }}</span>
      </ng-template>

      <div class="centers-list" *ngIf="REGISTRATION_CENTRES">
          <span *ngIf="showMessage && !searchClick" style="margin-left:24px;" class="center_selection-center-available-text">
            {{ 'centerSelection.text_found' | translate }}
            {{ REGISTRATION_CENTRES.length }}
            {{ 'centerSelection.text_centers' | translate }}
          </span>
        <ul>
          <li *ngFor="let center of REGISTRATION_CENTRES; let i = index;">
            <mat-card [ngClass]="selectedCentre === center ? 'center-card center-card-selected' : 'center-card'">
              <input type="radio" [value]="center" [(ngModel)]="selectedCentre" (click)="selectedRow(center)" name="center" />
              <div>
                <div>
                  <span><img src="assets\address.png" /></span>
                  <span><strong>
                      {{
                      center.name +
                      ", " +
                      center.addressLine1 +
                      ", " +
                      center.addressLine2 +
                      ", " +
                      center.addressLine3
                      }}</strong></span>
                </div>
                <div>
                  <span><img src="assets\contact number.png" /></span>
                  <span>
                    {{
                    center.contactPerson + ", " + center.contactPhone
                    }}</span>
                </div>
              </div>
              <span class="spacer"></span>
              <div>
                <div>
                  <span>{{ 'centerSelection.text_timing' | translate }} :
                    {{
                    changeTimeFormat(center.centerStartTime.substring(0, 5)) +
                    " - " +
                    changeTimeFormat(center.centerEndTime.substring(0, 5)) +
                    " | Lunch: " +
                    changeTimeFormat(
                    center.lunchStartTime.substring(0, 5)
                    ) +
                    " - " +
                    changeTimeFormat(center.lunchEndTime.substring(0, 5))
                    }}</span>
                </div>
                <div><span>{{ 'centerSelection.text_open' | translate }}: Monday - Friday</span></div>
              </div>
            </mat-card>
          </li>
        </ul>
      </div>
    </div>

    <div class="map" *ngIf="showMap">
      <app-map [mapProvider]="mapProvider"></app-map>
    </div>
  </div>

  <!-- Footer navigation -->
  <div>
    <mat-card class="center-selection__button-container">
      <button  (click)="routeBack()" class="user-back-btn">
        {{ 'centerSelection.action_back' | translate }}
      </button>
      <span class="spacer"></span>
      <button  (click)="routeDashboard()" class="user-book_later-btn">
        {{ 'centerSelection.action_book_later' | translate }}
      </button>
      <button (click)="routeNext()" [disabled]="selectedCentre === null" class="user-continue-btn">
        {{ 'centerSelection.action_continue' | translate }}
      </button>
    </mat-card>
  </div>
</div>
